Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class ClonePortlet

    java.lang.Object
      org.jboss.portal.wsrp.core.ClonePortlet

All Implemented Interfaces:
  java.io.Serializable

    public class ClonePortlet

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected PortletContext` | `portletContext`
`protected RegistrationContext` | `registrationContext`
`protected UserContext` | `userContext`

Constructor Summary
`ClonePortlet()`
`ClonePortlet(RegistrationContext registrationContext, PortletContext portletContext, UserContext userContext)`

Method Summary
`PortletContext` | `getPortletContext()`
`RegistrationContext` | `getRegistrationContext()`
`UserContext` | `getUserContext()`
`void` | `setPortletContext(PortletContext portletContext)`
`void` | `setRegistrationContext(RegistrationContext registrationContext)`
`void` | `setUserContext(UserContext userContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registrationContext

    protected RegistrationContext registrationContext

### portletContext

    protected PortletContext portletContext

### userContext

    protected UserContext userContext

Constructor Detail

### ClonePortlet

    public ClonePortlet()

### ClonePortlet

    public ClonePortlet(RegistrationContext registrationContext,
                        PortletContext portletContext,
                        UserContext userContext)

Method Detail

### getRegistrationContext

    public RegistrationContext getRegistrationContext()

### setRegistrationContext

    public void setRegistrationContext(RegistrationContext registrationContext)

### getPortletContext

    public PortletContext getPortletContext()

### setPortletContext

    public void setPortletContext(PortletContext portletContext)

### getUserContext

    public UserContext getUserContext()

### setUserContext

    public void setUserContext(UserContext userContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD